<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_articles_categories
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;


JFactory::getDocument()->addStylesheet('media/mod_downloadqueue/css/mod_downloadqueue.css');
JFactory::getDocument()->addScript('media/mod_downloadqueue/js/Scrollable.js');
JFactory::getDocument()->addScriptDeclaration("var docmanCartGeneratingString = '" . JText::_('MOD_DOWNLOADQUEUE_GENERATING') . "';");
//JFactory::getDocument()->addScript('media/com_downloadqueue/js/mod_downloadqueue.js');
$template = JFactory::getApplication()->getTemplate();


?>
<div id="downloadqueue">
<?php if (!empty($list)) : ?>
<ul class="downloadqueue-list <?php echo $moduleclass_sfx; ?>">
<?php
require JModuleHelper::getLayoutPath('mod_downloadqueue', $params->get('layout', 'default').'_items');
?></ul>
<div class="downloadqueue-menu">
<a class="docmancartbutton blue downloadqueue-download-button" rel="index.php?option=com_ajax&amp;module=downloadqueue&amp;method=download&amp;format=raw" href="index.php?option=com_ajax&amp;module=downloadqueue&amp;method=generate&amp;format=raw"><?php echo JText::_('MOD_DOWNLOADQUEUE_DOWNLOAD_FILES'); ?></a>
<a class="docmancartbutton gray medium downloadqueue-clear-button" href="index.php?option=com_ajax&amp;module=downloadqueue&amp;method=clear&amp;format=raw"><?php echo JText::_('MOD_DOWNLOADQUEUE_CLEAR_ALL'); ?></a>
</div>
<?php else : ?>
<div class="downloadqueue-empty-menu">
    <a class="docmancartbutton gray medium downloadqueue-clear-button" href="index.php?option=com_ajax&amp;module=downloadqueue&amp;method=clear&amp;format=raw"><?php echo JText::_('MOD_DOWNLOADQUEUE_EMPTY_CART'); ?></a>
</div>
<?php endif; ?>
</div>